## imx-gst1.0-plugin 4.5.5

=== debian/changelog ===
imx-gst1.0-plugin (4.5.5-1ubuntu10) focal; urgency=medium

  * Initial Boundary package
  * branch: MM_04.05.05_2005_L5.4.24
  * tag: rel_imx_5.4.24_2.1.0
  * MMFMWK-8782 vpuenc: pass video width and height into wrapper

 -- Laci Tele <laci@boundarydevices.com>  Fri, 07 Aug 2020 16:24:08 +0200
