=== debian/control ===
Source: imx-gst1.0-plugin
Section: restricted/libs
Priority: optional
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), execstack, asciidoc, findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool, dh-python
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://github.com/boundarydevices


Package: imx-gst1.0-plugin
Section: multimedia
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, imx-alsa-plugins
Description: NXP gstreamer1.0 plugin library
