## imx-gst1.0-plugin 4.5.6

=== debian/changelog ===
imx-gst1.0-plugin (4.5.6-1ubuntu10) focal; urgency=medium

  * Initial Boundary package
  * branch: MM_04.05.06_2008_L5.4.47
  * tag: rel_imx_5.4.47_2.2.0
  * sync g2d.h change from GTEC b4dc1b365

 -- Laci Tele <laci@boundarydevices.com>  Mon, 14 Dec 2020 04:38:57 -0800
