=== debian/rules ===
--- 
+++ 
@@ -56,15 +56,18 @@
 IMX_GST1.0_PLUG_CONFIG_OPTS = $(CONFIG_OPTS) \
 	PLATFORM=$(PLATFORM) \
 	--disable-wma8enc \
-	--enable-overlaysink \
+	--disable-overlaysink \
 	CPPFLAGS="-I${STAGING_KERNEL_DIR}/include/uapi \
 		  -I${STAGING_KERNEL_DIR}/include \
 		  -I${STAGING_KERNEL_DIR}/include/generated/uapi \
 		  -I${STAGING_KERNEL_DIR}/drivers/staging/android/uapi \
-		  -I/usr/include/hantro_dec \
-		  -I/usr/include/hantro_enc"
+		  -I/usr/include/hantro_dec"
 
+#ifeq ($(USE_XWAYLAND),)
 IMX_GST1.0_PLUG_CONFIG_OPTS += --disable-x11
+#else
+#IMX_GST1.0_PLUG_CONFIG_OPTS += --enable-x11
+#endif
 
 ##
