## imx-gst1.0-plugin 4.7.2

=== meson_options.txt ===
option('platform', type : 'array',
       choices : ['MX6', 'MX6QP', 'MX6SL', 'MX6SLL', 'MX6SX', 'MX6UL', 'MX7D', 'MX7ULP', 'MX8', 'MX9'], value : ['MX8'],
       description : 'build target platform')
